%global pkg_name XStatic-termjs
%global pypi_name XStatic-term.js
%global _description %{expand:
term.js javascript library packaged for setuptools (easy_install) / pip.
* term.js project: `Github chjj/term.js <https://github.com/chjj/term.js>`_
* XStatic package: `Github takluyver/XStatic-termjs <https://github.com/takluyver/XStatic-termjs>`_
This package is intended to be used by **any** project that needs these files.
It intentionally does **not** provide any extra code except some metadata
**nor** has any extra requirements. You MAY use some minimal support code from
the XStatic base package, if you like.
You can find more info about the xstatic packaging way in the package `XStatic`.}

Summary:        term.js 0.0.7 (XStatic packaging standard)
Name:           python-%{pkg_name}
Version:        0.0.7.0
Release:        2%{?dist}
License:        MIT
URL:            https://github.com/chjj/term.js
Source0:        %pypi_source

BuildArch:      noarch

%description %{_description}

%package -n python3-%{pkg_name}
Summary:        %{summary}
BuildRequires:  python3-devel python3-setuptools

%description -n python3-%{pkg_name} %{_description}

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{pkg_name}
%{python3_sitelib}/*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.0.7.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 19 2023 kianli <kianli@tencent.com> - 0.0.7.0-1
- initial build
